OpenTTD Source: Data Fields

OpenTTD Source 15.3

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - p -

- p : PixelColour, StringListReader
- Packet() : Packet
- packet_queue : NetworkTCPSocketHandler
- packet_recv : NetworkTCPSocketHandler
- PacketReader() : PacketReader
- packets : CargoList< Tinst, Tcont >
- Packets() : CargoList< Tinst, Tcont >
- packets : PacketWriter
- PacketWriter() : PacketWriter
- pad : LanguagePackHeader
- padding : NWidgetBase, NWidgetPart::NWidgetPartUnion
- page : StoryPageElement
- PageElementOrderSorter() : StoryBookWindow
- PageOrderSorter() : StoryBookWindow
- Paint() : OpenGLBackend, VideoDriver, VideoDriver_Allegro, VideoDriver_CocoaOpenGL, VideoDriver_CocoaQuartz, VideoDriver_SDL_Default, VideoDriver_SDL_OpenGL, VideoDriver_Win32GDI
- pal : BridgeSpec, PalSpriteID, ParentSpriteToDraw
- pal_identity : OpenGLSprite
- pal_pbo : OpenGLSprite
- pal_program : OpenGLBackend
- pal_tex : OpenGLSprite
- pal_texture : OpenGLBackend
- palette : Blitter_32bppAnim, DropDownIcon< TBase, TEnd >, GraphicsSet, GRFConfig, Palette, TileLayoutRegisters, VideoDriver_CocoaQuartz
- palette_remap : SpriteFile
- palette_size : BmpInfo
- palette_var10 : TileLayoutRegisters
- PaletteAnimate() : Blitter, Blitter_32bppAnim, Blitter_32bppBase, Blitter_8bppBase, Blitter_Null
- PaletteAnimation : Blitter
- PaletteChanged() : VideoDriver_Win32Base, VideoDriver_Win32GDI
- pan_to_next : IntroGameViewportCommand
- panel_widths : NWidgetScenarioToolbarContainer
- param : GRFConfig
- param_info : GRFConfig
- param_nr : GRFParameterInfo
- param_value : GRFError
- parameter : DeterministicSpriteGroupAdjust
- parameters : StringParameters
- params : FoundTownWindow
- parent : CargoDataEntry, FontCache, Group, NWidgetBase, Path
- Parent : StationCargoList
- parent : StringParameters, TileLayoutRegisters
- Parent : VehicleCargoList
- parent : Window
- parent_button : DropdownWindow
- parent_cls : WindowDesc
- parent_scope : VehicleResolverObject
- parent_sprites_to_sort : ViewportDrawer
- Parse() : ServerAddress
- ParseFile() : FileStringReader, StringReader
- ParsePacketSize() : Packet
- ParseSingleValue() : BoolSettingDesc, OneOfManySettingDesc
- ParseValue() : BoolSettingDesc, IntSettingDesc, ListSettingDesc, ManyOfManySettingDesc, NullSettingDesc, OneOfManySettingDesc, SettingDesc, StringSettingDesc
- part_of_subsidy : Industry, TownCache
- participate_survey : NetworkSettings
- partlists : GRFTownName
- parts : NamePartList
- passenger_capacity : AircraftVehicleInfo
- PassOnFlow() : FlowStatMap
- password : NetworkAuthenticationDefaultPasswordProvider, NetworkAuthenticationPasswordRequestHandler
- password_provider : X25519PAKEServerHandler
- path : FileWriter
- Path() : Path
- path : RoadVehicle, Ship
- path_backoff_interval : PathfinderSettings
- paths : LinkGraphJob::NodeAnnotation
- Pause() : AI, Game, ScriptInstance
- pause_on_join : NetworkSettings
- pause_on_newgame : GUISettings
- Paused() : PerformanceMeasurer
- PayFinalDelivery() : CargoPayment
- payment : CargoDelivery
- PAYMENT_GRAPH_X_STEP_DAYS : BaseGraphWindow
- PAYMENT_GRAPH_X_STEP_SECONDS : BaseGraphWindow
- PayTransfer() : CargoPayment
- PBSTileInfo() : PBSTileInfo
- PCWHK_FOCUS_FILTER_BOX : PickerWindow
- Peek() : StringConsumer
- PeekChar() : StringConsumer
- PeekCharIf() : StringConsumer
- PeekCharIfIn() : StringConsumer
- PeekCharIfNotIn() : StringConsumer
- PeekDWord() : ByteReader
- PeekIf() : StringConsumer
- PeekIntegerBase() : StringConsumer
- PeekSint16LE() : StringConsumer
- PeekSint32LE() : StringConsumer
- PeekSint64LE() : StringConsumer
- PeekSint8() : StringConsumer
- PeekUint16LE() : StringConsumer
- PeekUint32LE() : StringConsumer
- PeekUint64LE() : StringConsumer
- PeekUint8() : StringConsumer
- PeekUntil() : StringConsumer
- PeekUntilChar() : StringConsumer
- PeekUntilCharIn() : StringConsumer
- PeekUntilCharNotIn() : StringConsumer
- PeekUntilUtf8() : StringConsumer
- PeekUtf8() : StringConsumer
- PeekUtf8If() : StringConsumer
- peer_public_key : ServerNetworkGameSocketHandler, X25519AuthenticationHandler
- performance : NetworkCompanyInfo
- performance_history : CompanyEconomyEntry
- PerformanceAccumulator() : PerformanceAccumulator
- PerformanceData() : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- PerformanceMeasurer() : PerformanceMeasurer
- PerformanceSorter() : PerformanceLeagueWindow
- period : BaseTimer< TTimerType >
- PeriodFlags : TimerGameRealtime
- periods : HistoryRange
- periods_in_transit : CargoPacket
- PeriodsInTransit() : CargoList< Tinst, Tcont >
- persistent_buildingtools : GUISettings
- persistent_mapping_supported : OpenGLBackend
- PersistentStorage() : PersistentStorage
- pf : GameSettings
- PfBase : CYapfShip_TypesT< Tpf_ >
- PfCache : CYapfShip_TypesT< Tpf_ >
- PfCalcCost() : CYapfCostRailT< Types >, CYapfCostRoadT< Types >, CYapfCostShipT< Types >
- PfCalcEstimate() : CYapfDestinationAnyDepotRailT< Types >, CYapfDestinationAnyDepotRoadT< Types >, CYapfDestinationAnySafeTileRailT< Types >, CYapfDestinationTileOrStationRailT< Types >, CYapfDestinationTileRoadT< Types >, CYapfDestinationTileWaterT< Types >
- PfCost : CYapfShip_TypesT< Tpf_ >
- PfDestination : CYapfShip_TypesT< Tpf_ >
- PfDetectDestination() : CYapfDestinationAnyDepotRailT< Types >, CYapfDestinationAnyDepotRoadT< Types >, CYapfDestinationAnySafeTileRailT< Types >, CYapfDestinationTileOrStationRailT< Types >, CYapfDestinationTileRoadT< Types >, CYapfDestinationTileWaterT< Types >
- PfFollow : CYapfShip_TypesT< Tpf_ >
- PfFollowNode() : CYapfFollowAnyDepotRailT< Types >, CYapfFollowAnySafeTileRailT< Types >, CYapfFollowRailT< Types >, CYapfFollowRoadT< Types >, CYapfFollowShipT< Types >
- PfGetSettings() : CYapfBaseT< Types >
- PFM_ALL : PickerWindow
- PFM_SAVED : PickerWindow
- PFM_USED : PickerWindow
- PfNodeCacheFetch() : CYapfSegmentCostCacheGlobalT< Types >, CYapfSegmentCostCacheNoneT< Types >
- PfOrigin : CYapfShip_TypesT< Tpf_ >
- picker : WidgetDimensions
- picker_title : RoadTypeInfo
- picker_tooltip : RoadTypeInfo
- PickerClassWindowHotkeys : PickerWindow
- PickerFilterModes : PickerWindow
- PickerInvalidation : PickerWindow
- pillar_flags : BridgeSpec
- pip : NWidgetPart::NWidgetPartUnion
- pip_inter : NWidgetPIPContainer
- pip_post : NWidgetPIPContainer
- pip_pre : NWidgetPIPContainer
- pip_ratio_inter : NWidgetPIPContainer
- pip_ratio_post : NWidgetPIPContainer
- pip_ratio_pre : NWidgetPIPContainer
- pitch : Blitter::BlitterParams
- pixel_buffer : VideoDriver_CocoaQuartz
- pixels : Textbuf
- PixelToTile() : SmallMapWindow
- place_houses : EconomySettings
- place_mode : TileHighlightData
- PlaceIndustry() : IndustryCargoesWindow
- plane_crashes : VehicleSettings
- plane_speed : VehicleSettings
- PlaneSelections : VehicleViewWindow
- planned : LinkProperties
- PLATFORM_NOT_RUNNING : SocialIntegrationPlugin
- platforms : RailStationTileLayout
- Play() : MusicSystem
- PlayChannelFrame() : MpsMachine
- PlayFrame() : MpsMachine
- playing : MusicSettings
- PlayInto() : MpsMachine
- PlayLeaveStationSound() : Ship, Train, Vehicle
- playlist : MusicSettings
- PlaylistAdd() : MusicSystem
- PlaylistClear() : MusicSystem
- PlaylistRemove() : MusicSystem
- playpos : MpsMachine::Channel
- PlaySong() : MusicDriver, MusicDriver_Allegro, MusicDriver_BeMidi, MusicDriver_Cocoa, MusicDriver_DMusic, MusicDriver_ExtMidi, MusicDriver_FluidSynth, MusicDriver_Null, MusicDriver_Win32
- plugin_api : InternalSocialIntegrationPlugin
- plugin_info : InternalSocialIntegrationPlugin
- plural_count : PluralForm
- plural_form : LanguageMap, LanguagePackHeader
- PollEvent() : VideoDriver, VideoDriver_Allegro, VideoDriver_Cocoa, VideoDriver_SDL_Base, VideoDriver_Win32Base
- Pool : Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem< Tpool >
- PoolBase() : PoolBase
- Pop() : HashTable< Titem, Thash_bits_ >
- PopBestOpenNode() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- PopCargo() : VehicleCargoList
- PopColour() : FontState
- PopOpenNode() : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- PopulateSystemSprites() : VideoDriver, VideoDriver_Cocoa, VideoDriver_CocoaOpenGL, VideoDriver_SDL_OpenGL
- population : HouseSpec, TownCache
- population_in_label : GUISettings
- pos : Aircraft, CursorSprite, CursorVars, Packet, RandomAccessFile, Scrollbar, TileHighlightData
- pos_x : NWidgetBase
- pos_y : NWidgetBase
- position : AirportFTA, AirportFTAbuildup, AlternatingIterator< Titer >, DropdownWindow, ErrorMessageData, FaceVar, IntroGameViewportCommand
- Position() : ParagraphLayouter::Position
- position : RailStationTileLayout::Iterator
- position_consist_length : NewGRFCache
- position_in_vehicle : NewGRFCache
- position_same_id_length : NewGRFCache
- PositionForViewport() : IntroGameViewportCommand
- positions : FallbackParagraphLayout::FallbackVisualRun, ICURun
- Post() : CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), false >, CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), true >
- post : NWidgetPartPIP
- post_callback : IntSettingDesc, StringSettingDesc
- PostChangeCallback : IntSettingDesc, StringSettingDesc
- PostDestructor() : BaseStation, Company, Industry, Pool< Titem, Tindex, Tgrowth_step, Tpool_type, Tcache >::PoolItem< Tpool >, Town
- PostFromNet() : CommandHelper< Tcmd, Tret(*)(DoCommandFlags, Targs...), true >
- Postprocess() : CargoRemoval< Tsource >
- PostResize() : Blitter, Blitter_32bppAnim
- pow_wag_power : RailVehicleInfo
- pow_wag_weight : RailVehicleInfo
- power : RailVehicleInfo, RoadVehicleInfo
- PowerChanged() : GroundVehicle< T, Type >
- powered_railtypes : RailTypeInfo
- powered_roadtypes : RoadTypeInfo
- pre_check : IntSettingDesc, StringSettingDesc
- PreChangeCheck : IntSettingDesc, StringSettingDesc
- PreDestructor() : Vehicle
- PredictNextOrder() : LinkRefresher
- pref_height : WindowDesc
- pref_sticky : WindowDesc
- pref_width : WindowDesc
- prefer_sprite : FontCacheSettings
- prefer_teamchat : GUISettings
- prefix : AutoCompletion, CurrencySpec
- PrepareRefitAction() : PrepareRefitAction
- PrepareToRead() : Packet
- PrepareToSend() : Packet
- Preprocess() : CargoMovement< Tsource, Tdest >, CargoRemoval< Tsource >
- preset : NewGRFWindow
- presetname_editbox : SavePresetWindow
- presets : SavePresetWindow
- president_name : CompanyNewsInformation, CompanyProperties
- president_name_1 : CompanyProperties
- president_name_2 : CompanyProperties
- prev : HeaderFileWriter
- Prev() : IcuStringIterator, MusicSystem, OSXStringIterator, StringIterator, UniscribeStringIterator
- prev_index : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- prev_storage : PersistentStorageArray< TYPE, SIZE >
- preview_asked : Engine
- PREVIEW_BOTTOM : PickerWindow
- preview_company : Engine
- preview_height : PickerCallbacks, PickerWindow
- PREVIEW_HEIGHT : PickerWindow
- PREVIEW_LEFT : PickerWindow
- preview_sprite : AirportSpec, BuildAirportWindow
- preview_wait : Engine
- PREVIEW_WIDTH : PickerWindow
- Previous() : SpecializedVehicle< T, Type >, Vehicle
- previous : Vehicle
- previous_gui_scale : GameOptionsWindow
- previous_pos : Aircraft
- previous_shared : Vehicle
- PreviousShared() : Vehicle
- PrevNextSign() : SignWindow
- price : BridgeSpec
- price_base_multipliers : GRFFile
- Print() : Gamelog
- print_func : Squirrel
- PrintConsole() : Gamelog
- PrintDebug() : Gamelog
- PrintFunc() : Squirrel
- priority : DriverFactoryBase
- Priority : TimerGame< T >, TimerGameTick
- prob : NamePart
- probability : HouseSpec, IndustryTypeBuildData
- proc : Button< T >, CheatEntry, GenWorldInfo, IConsoleCmd, OldChunks, QueryWindow
- ProcessHighlightedInvalidations() : Window
- processing_time : HouseSpec
- ProcessRegisters() : SpriteLayoutProcessor, TileLayoutSpriteGroup
- ProcessScheduledInvalidations() : Window
- ProcessScheduledResize() : Window
- prod_level : Industry
- produced : Industry
- produced_cargo_filter_criteria : IndustryDirectoryWindow
- produced_cargo_label : IndustrySpec
- production : Industry::ProducedHistory, Town::SuppliedHistory
- production_down_text : IndustrySpec
- production_nobody : NewsSettings
- production_offset_y : IndustryViewWindow
- production_other : NewsSettings
- production_player : NewsSettings
- production_up_text : IndustrySpec
- profit_last_year : GroupStatistics, Vehicle
- profit_last_year_min_age : GroupStatistics
- profit_this_year : Vehicle
- programvelocities : MpsMachine
- progress : Goal, Vehicle
- proj : BaseGraphWindow::Filler< Tprojection >
- prop : NIProperty
- properties : NIFeature
- prospecting_chance : IndustrySpec
- PruneIntermediateNodeBranch() : CYapfRailBase< Types >
- psa : Airport, Industry
- PSAWithParameter() : NIHelper, NIHTown
- PtInExtendedRect() : StationRect
- ptr : OldChunks
- public_key : NetworkClientInfo
- Push() : HashTable< Titem, Thash_bits_ >
- PushColour() : FontState
- PushFlow() : MultiCommodityFlow
- Put() : BaseStringBuilder
- PutBuffer() : BaseStringBuilder, InPlaceBuilder, StringBuilder
- PutChar() : BaseStringBuilder
- PutIntegerBase() : BaseStringBuilder
- PutSint16LE() : BaseStringBuilder
- PutSint32LE() : BaseStringBuilder
- PutSint64LE() : BaseStringBuilder
- PutSint8() : BaseStringBuilder
- PutUint16LE() : BaseStringBuilder
- PutUint32LE() : BaseStringBuilder
- PutUint64LE() : BaseStringBuilder
- PutUint8() : BaseStringBuilder
- PutUtf8() : BaseStringBuilder